# DocBook to HTML - CSS

## Parameters

`db2html.css.file`

  The file to output CSS to

## Templates

`db2html.css`

  Outputs the CSS that controls the appearance of the entire document

`db2html.css.content`

  Outputs the actual CSS directives

`db2html.css.custom`

  Allows extension stylesheets to extend or override CSS

## `db2html.css.file`

The file to output CSS to

### Description

This parameter allows you to output the CSS to separate file which is referenced by each HTML file. If this parameter is blank, then the CSS is embedded inside a `style` tag in the HTML instead.

## `db2html.css`

Outputs the CSS that controls the appearance of the entire document

### Parameters

`css_file`

  Whether to create a CSS file when `db2html.css.file` is set.

### Description

This template outputs a `style` or `link` tag and calls `db2html.css.content` to output the actual CSS directives. An external CSS file will only be created when `css_file` is true. This is only set to true by the top-level chunk to avoid creating the same file multiple times.

## `db2html.css.content`

Outputs the actual CSS directives

### Description

This template is called by `db2html.css` to output CSS content. It also calls templates from other modules to output CSS specific to the content addressed in those modules.

This template calls `db2html.css.custom` at the end. That template may be used by extension stylesheets to extend or override the CSS.

## `db2html.css.custom`

Allows extension stylesheets to extend or override CSS

### Description

This stub template has no content. Extension stylesheets can override this template to output extra CSS.